ErrorReplyException
Keywords: uk.ac.ic.doc.automed.p2p.ErrorReplyException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class ErrorReplyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              uk.ac.ic.doc.automed.p2p.UnsuccessfulReplyException
                  uk.ac.ic.doc.automed.p2p.ErrorReplyException

All Implemented Interfaces:
  java.io.Serializable

    public class ErrorReplyException

extends UnsuccessfulReplyException

Author:
  Charis TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

Constructor Summary
`ErrorReplyException()`
`ErrorReplyException(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage message)`
`ErrorReplyException(java.lang.String context, java.lang.String description)`

Method Summary

Methods inherited from class uk.ac.ic.doc.automed.p2p.UnsuccessfulReplyException
`getContext, getDescription`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorReplyException

    public ErrorReplyException()

### ErrorReplyException

    public ErrorReplyException(java.lang.String context,
                               java.lang.String description)

Parameters:
  `context` -
  `description` -

### ErrorReplyException

    public ErrorReplyException(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage message)

Parameters:
  `message` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD